PATCH Api/InspectionSvlTwoPanoramaPhoto/{id}
URI Example
PATCH Api/InspectionSvlTwoPanoramaPhoto/{id}
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
InspectionSvlTwoPanoramaPhotoBinding
| Name | Description | Type | Additional information |
|---|---|---|---|
| InspectionSvlTwoId | integer |
Required |
|
| InspectionBuildingElementId | integer |
Required |
|
| Description | string |
None. |
Request Formats
application/json, text/json, application/hal+json
-
{ "inspectionSvlTwoId": 1, "inspectionBuildingElementId": 2, "description": "sample string 3" }
Resource Description
InspectionSvlTwoPanoramaPhotoResource
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| InspectionSvlTwoId | integer |
None. |
|
| InspectionBuildingElementId | integer |
None. |
|
| FileName | string |
None. |
|
| Size | integer |
None. |
|
| Url | string |
None. |
|
| Description | string |
None. |
|
| IsBlocked | boolean |
None. |
|
| UpdateDate | date |
None. |
|
| _links | Dictionary of string [key] and Link [value] |
None. |
|
| _embedded | Dictionary of string [key] and Object [value] |
None. |
Response Formats
application/json, text/json, application/hal+json
-
{ "_links": { "sample string 1": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] }, "sample string 2": { "href": "sample string 1", "method": "sample string 2", "rel": [ "sample string 1", "sample string 2" ] } }, "id": 1, "inspectionSvlTwoId": 2, "inspectionBuildingElementId": 3, "fileName": "sample string 4", "size": 5, "url": "sample string 6", "description": "sample string 7", "isBlocked": true, "updateDate": "2026-10-29T13:04:54.6273661+01:00", "_embedded": { "sample string 1": {}, "sample string 3": {} } }